#!/usr/bin/perl -w
# Display the top X oldest active characters (as near as we can figure out)
my $num;
$num = shift or $num = 20;
use DBI;
use strict;

my $dbh = DBI->connect("dbi:SQLite:dbname=players.db") or die;

print("Top $num oldest players:\n");
my $sth = $dbh->prepare("select name,rank from log where rank < ?");
$sth->execute($num);

my $loop_counter = 1;
my %users;

# This logic is probably flawed! I didn't think it through
while(my ($name, $rank) = $sth->fetchrow_array()) {
  $users{$name} = 0 if !defined($users{$name});
  $users{$name} = $rank + $users{$name} / $loop_counter++;
}

foreach (sort { $users{$a} <=> $users{$b} } keys %users) {
	print "$_ ($users{$_})\n";
}

