#!/usr/bin/perl -w
use DBI;
use strict;

my $dbh = DBI->connect("dbi:SQLite:dbname=players.db") or die;

print("Top 20 most-online players:\n");
my $topon = $dbh->prepare("select * from ontime order by ontime desc limit ?");
$topon->execute(20);
while(my @data = $topon->fetchrow_array()) {
  print "\t$data[0] $data[1] seconds\n";
}

